class Tile
  include Mongoid::Document
  include Mongoid::Timestamps
  
  field :data_category
  field :data_content
  field :position, type: Integer
  field :row, type: Integer
  field :column, type: Integer
  field :shape
  field :fullsize, type: Boolean
  field :title
  
  belongs_to :group
  belongs_to :desktop_widget
  belongs_to :desktop_app
    
end
